Subject: [PATCH] ARM: print cma-reserved pages from show_mem

From: [email-masked] (Mel Gorman)
Date: Thu, 26 Mar 2015 13:47:47 +0000

On Thu, Mar 26, 2015 at 01:22:59PM +0000, Russell King - ARM Linux wrote:
> On Thu, Mar 26, 2015 at 12:30:29PM +0000, Mel Gorman wrote:
> > On Thu, Mar 26, 2015 at 11:46:12AM +0000, Russell King - ARM Linux wrote:
> > > <SNIP>
> > > 
> > > Looking at Mel's commit, I don't see a reason why we couldn't use that
> > > solution - it gets rid of walking the page array, which has been fraught
> > > in the past due to ARM having platforms which have holes in their
> > > physical memory.
> > > 
> > > We could try that solution - I don't see much downside to it.  Most of
> > > that information is as debug information for MM stuff anyway, and IMHO
> > 
> > >From an MM perspective, I can tell you that the information is close to
> > useless for debugging anything. It's why I ditched it in that commit and
> > AFAIK, no one has ever cared.
> 
> In that case, is there much point to show_mem()?  Is it something which
> should be considered for removal?
> 
> If code serves no useful purpose anymore, we really ought to have a way

Sorry I was not clear. show_mem itself is useful, the shared and
non-shared values that commit c78e93630d15b5f5774213aad9bdc9f52473a89b
removed are not.

-- 
Mel Gorman
SUSE Labs